Class IssueTabPanel3Adaptor

java.lang.Object
com.atlassian.jira.plugin.issuetabpanel.IssueTabPanel3Adaptor
All Implemented Interfaces:
IssueTabPanel3

public class IssueTabPanel3Adaptor extends Object implements IssueTabPanel3
Adapts old IssueTabPanel and IssueTabPanel2 implementations to the new IssueTabPanel3 interface.
Since:
v6.0
  • Constructor Details

    • IssueTabPanel3Adaptor

      public IssueTabPanel3Adaptor(IssueTabPanel issueTabPanel)
  • Method Details

    • createFrom

      public static IssueTabPanel3 createFrom(IssueTabPanel issueTabPanel)
    • init

      public void init(IssueTabPanelModuleDescriptor descriptor)
      Specified by:
      init in interface IssueTabPanel3
    • showPanel

      public boolean showPanel(ShowPanelRequest request)
      Description copied from interface: IssueTabPanel3
      Indicates whether this tab should be shown on a given issue.
      Specified by:
      showPanel in interface IssueTabPanel3
      Parameters:
      request - a ShowPanelRequest
      Returns:
      a boolean indicating whether to show the panel or not
    • getActions

      public List<IssueAction> getActions(GetActionsRequest request)
      Description copied from interface: IssueTabPanel3
      Returns a list of issue actions in the order that you want them to be displayed. This method will only be called if showPanel returned true for a given context. The request parameter contains the user that is viewing the tab, information as to whether the tab is being loaded using an AJAX request, and so on.

      Note that for the 'all' tab, the returned actions will be displayed in order according to the value returned by IssueAction.getTimePerformed().

      Specified by:
      getActions in interface IssueTabPanel3
      Parameters:
      request - a GetActionsRequest
      Returns:
      the actions to display